zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvmort.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
gxvmort.h File Reference
`#include "gxvalid.h"`
`#include "gxvcommn.h"`
`#include <FT_SFNT_NAMES_H>`

Go to the source code of this file.

## Classes

struct | GXV_mort_featureRec_

## Macros

#define | GXV_MORT_FEATURE_OFF {0, 1, 0x00000000UL, 0x00000000UL}
#define | IS_GXV_MORT_FEATURE_OFF(f)

## Typedefs

typedef struct GXV_mort_featureRec_ * | GXV_mort_feature
typedef struct GXV_mort_featureRec_ | GXV_mort_featureRec

## Functions

| gxv_mort_coverage_validate (FT_UShort coverage, GXV_Validator valid)
| gxv_mort_featurearray_validate (FT_Bytes table, FT_Bytes limit, FT_ULong nFeatureFlags, GXV_Validator valid)
| gxv_mort_subtable_type0_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_mort_subtable_type1_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_mort_subtable_type2_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_mort_subtable_type4_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_mort_subtable_type5_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)

## Macro Definition Documentation

#define GXV_MORT_FEATURE_OFF {0, 1, 0x00000000UL, 0x00000000UL}

Definition at line 45 of file gxvmort.h.

Referenced by gxv_mort_featurearray_validate().

#define IS_GXV_MORT_FEATURE_OFF | ( |  | f | ) |

Value:
( (f).featureType == 0 || \
(f).featureSetting == 1 || \
(f).enableFlags == 0x00000000UL || \
(f).disableFlags == 0x00000000UL )
f
GLclampf f
Definition: glew.h:3390

Definition at line 47 of file gxvmort.h.

Referenced by gxv_mort_featurearray_validate().

## Typedef Documentation

typedef struct GXV_mort_featureRec_ * GXV_mort_feature

typedef struct GXV_mort_featureRec_ GXV_mort_featureRec

## Function Documentation

gxv_mort_coverage_validate | ( | FT_UShort | coverage,
|  | GXV_Validator | valid
| ) |  |

Definition at line 121 of file gxvmort.c.

References FT_UNUSED, and GXV_TRACE.

Referenced by gxv_mort_subtables_validate(), and gxv_morx_subtables_validate().

gxv_mort_featurearray_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | FT_ULong | nFeatureFlags,
|  | GXV_Validator | valid
| ) |  |

Definition at line 89 of file gxvmort.c.

References GXV_mort_featureRec_::disableFlags, GXV_mort_featureRec_::enableFlags, GXV_mort_featureRec_::featureSetting, GXV_mort_featureRec_::featureType, FT_INVALID_DATA, FT_NEXT_ULONG, FT_NEXT_USHORT, GXV_EXIT, GXV_LIMIT_CHECK, GXV_MORT_FEATURE_OFF, gxv_mort_feature_validate(), GXV_NAME_ENTER, i, and IS_GXV_MORT_FEATURE_OFF.

Referenced by gxv_mort_chain_validate(), and gxv_morx_chain_validate().

gxv_mort_subtable_type0_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 126 of file gxvmort0.c.

References GXV_EXIT, GXV_GLYPHOFFSET_NONE, GXV_LIMIT_CHECK, gxv_mort_subtable_type0_entry_validate(), GXV_NAME_ENTER, GXV_STATETABLE_HEADER_SIZE, gxv_StateTable_validate(), and NULL.

Referenced by gxv_mort_subtables_validate().

gxv_mort_subtable_type1_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 224 of file gxvmort1.c.

References GXV_EXIT, GXV_GLYPHOFFSET_ULONG, GXV_LIMIT_CHECK, gxv_mort_subtable_type1_entry_validate(), GXV_MORT_SUBTABLE_TYPE1_HEADER_SIZE, gxv_mort_subtable_type1_substitutionTable_load(), gxv_mort_subtable_type1_substTable_validate(), gxv_mort_subtable_type1_subtable_setup(), GXV_NAME_ENTER, and gxv_StateTable_validate().

Referenced by gxv_mort_subtables_validate().

gxv_mort_subtable_type2_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 276 of file gxvmort2.c.

References GXV_EXIT, GXV_GLYPHOFFSET_NONE, GXV_LIMIT_CHECK, gxv_mort_subtable_type2_entry_validate(), GXV_MORT_SUBTABLE_TYPE2_HEADER_SIZE, gxv_mort_subtable_type2_ligatureTable_validate(), gxv_mort_subtable_type2_opttable_load(), gxv_mort_subtable_type2_subtable_setup(), GXV_NAME_ENTER, and gxv_StateTable_validate().

Referenced by gxv_mort_subtables_validate().

gxv_mort_subtable_type4_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 105 of file gxvmort4.c.

References GXV_EXIT, gxv_LookupTable_validate(), GXV_LOOKUPVALUE_UNSIGNED, gxv_mort_subtable_type4_lookupfmt4_transit(), gxv_mort_subtable_type4_lookupval_validate(), and GXV_NAME_ENTER.

Referenced by gxv_mort_subtables_validate(), and gxv_morx_subtable_type4_validate().

gxv_mort_subtable_type5_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 202 of file gxvmort5.c.

References GXV_EXIT, GXV_GLYPHOFFSET_ULONG, GXV_LIMIT_CHECK, gxv_mort_subtable_type5_entry_validate(), GXV_MORT_SUBTABLE_TYPE5_HEADER_SIZE, gxv_mort_subtable_type5_subtable_setup(), GXV_NAME_ENTER, gxv_StateTable_validate(), and NULL.

Referenced by gxv_mort_subtables_validate().